commit: 22527ae6f939a368f33c0ddbc16a8e82b1b79866
Author: Ultrabug <ultrabug <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 11 07:35:06 2017 +0000
Commit: Alexys Jacob <ultrabug <AT> gentoo <DOT> org>
CommitDate: Wed Jan 11 07:40:19 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=22527ae6
app-admin/mongo-tools: version bump
Package-Manager: Portage-2.3.3, Repoman-2.3.1
app-admin/mongo-tools/Manifest | 1 +
app-admin/mongo-tools/mongo-tools-3.4.1.ebuild | 58 ++++++++++++++++++++++++++
2 files changed, 59 insertions(+)
diff --git a/app-admin/mongo-tools/Manifest b/app-admin/mongo-tools/Manifest
index 099124b..cd2ab94 100644
--- a/app-admin/mongo-tools/Manifest
+++ b/app-admin/mongo-tools/Manifest
@@ -1,3 +1,4 @@
DIST mongo-tools-3.0.10.tar.gz 2185555 SHA256
2bd5c984ca8b745b33aeb1e1a8118acd675bc5a408845eb3bb0b70c4fa680d71 SHA512
36d57150f4fb331149a2a7cbcde54253316cf3c5bc8ab195584c057c35b30d5acfabcafa25d314d378388254ac5a0ce75d0d8867e344fb7006593319ce9d028c
WHIRLPOOL
a6961a1fccb7ba353616fe4bfbe182c6a076f13c23492f4d06d274a0ff4d3f09a811413f77a2353b20801462b3a72f74073e38b8b1b4f4e3abf0026774dbcea2
DIST mongo-tools-3.0.14.tar.gz 2413148 SHA256
5a3f706827a9567fc98e2b64a33a2071c68c89090c6f135a508cb4e615051db1 SHA512
0e77417b2c36080515a2ff611427cb18f6d6c2432159c2a09af8d6ff14ae7f25ecbfe0a6631eeb7de084fdfe517a09364d731f5b63923404b6319fc1ca44b840
WHIRLPOOL
615153e87ea0b3cfd837066f850f92e7ea9c533e09bf6e3f4231ff489ac21a5a52a4afe06c827304e9340f9e8172714dae969c65cdd7215939a35c7026d60d98
DIST mongo-tools-3.2.11.tar.gz 2712014 SHA256
992e9fb94df6bed49e68684afee096f1193dc9cfca8ce8bcc4c912996bba365c SHA512
a6e2dd8dd567f04205e57be2983f5f0ddf2c4aca915f5ffaa777d17b94f62e0f106eb9bad93213d25f60c3949d47f4d91cdf767744e8094278e8ecf3546dfae5
WHIRLPOOL
6d75a9b0e6cd4271f8c6571dd280adafc7ff1bb60f973a037c78b39df0981d6c35f1a38309a8d96300f45053054c4454f22ce75aea2d62da6db06a2b1adcf90d
+DIST mongo-tools-3.4.1.tar.gz 4700560 SHA256
283d729442fca7a331ca475e234b0880ec7c4339597e0a8e271ca7e153b45439 SHA512
bd5862b220bc9d77d938b87b1e2c974d0088239c51cd091b5e4d578d774e28aa6b25ab18936c9f388fd1ed3caeca264225c14cd5a85e749c3c3e148ca073a990
WHIRLPOOL
2b5ba4e2c91372e5cec355d0e6d651d4fd3de7b3d72839e855e099c75a9ffec172b43caff82d2cf7371fd3c7ac1ca1e71fc303eff75cd2e5afc352fbbf4dba42
diff --git a/app-admin/mongo-tools/mongo-tools-3.4.1.ebuild
b/app-admin/mongo-tools/mongo-tools-3.4.1.ebuild
new file mode 100644
index 00000000..f43e57c
--- /dev/null
+++ b/app-admin/mongo-tools/mongo-tools-3.4.1.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils
+
+MY_PV=${PV/_rc/-rc}
+MY_P=${PN}-r${MY_PV}
+
+DESCRIPTION="A high-performance, open source, schema-free document-oriented
database"
+HOMEPAGE="http://www.mongodb.org"
+SRC_URI="https://github.com/mongodb/mongo-tools/archive/r${MY_PV}.tar.gz ->
mongo-tools-${MY_PV}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="sasl ssl"
+
+# Maintainer note:
+# openssl DEPEND constraint, see:
+# https://github.com/mongodb/mongo-tools/issues/11
+
+RDEPEND="!<dev-db/mongodb-3.0.0"
+DEPEND="${RDEPEND}
+ dev-lang/go:=
+ sasl? ( dev-libs/cyrus-sasl )
+ ssl? ( dev-libs/openssl )"
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+ sed -e 's|go build .*|go build -o "bin/$i" -tags "$tags"
"$i/main/$i.go"|g' -i build.sh || die
+
+ # ensure we use bash wrt #582906
+ sed -e 's@/bin/sh@/bin/bash@g' -i build.sh || die
+
+ epatch "${FILESDIR}/${PN}-3.2.10-pie.patch"
+}
+
+src_compile() {
+ local myconf
+
+ if use sasl; then
+ myconf="${myconf} sasl"
+ fi
+
+ if use ssl; then
+ myconf="${myconf} ssl"
+ fi
+
+ ./build.sh ${myconf} || die "build failed"
+}
+
+src_install() {
+ dobin bin/*
+}